Subject: bug#38867: 27.0.60; fileloop-initialize-replace misses occurrences to be replaced

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Mar 2020 16:08:28 +0200

> From: Noam Postavsky <[email-masked]>
> Date: Tue, 24 Mar 2020 06:00:05 -0400
> Cc: [email-masked]
> 
> > Fix by telling `perform-replace' to operate over the entire
> > buffer. Could potentially be further be optimized by saving the point
> > in the scan-function and using it as the start point in the
> > operate-function.
> 
> Since the current code is trying to save the point in the scan function,
> it's better to keep that optimization.  See patch below.  Should this go
> to emacs-27 or master?  The assumption that point would be preserved
> seems to be long-standing, but I guess the change in the default of
> switch-to-buffer-preserve-window-point is what surfaces the bug and
> makes it more recent...

I think this can wait for Emacs 28, but if you disagree, please tell
why.

Thanks.